//App created by: David Gonzalez Morte - TFC UOC

package com.example.theandroidseek;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;



public class IntroCoord extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.intro_coord);
	}
	
	public void onCancel(View view){
		finish();
	}
	
	public void onAcceptar(View view){
		Intent intent=new Intent(this,MostrarUsuariPerdut.class);
		EditText CoordView=(EditText)findViewById(R.id.TextView2);
		String Coord=LectorText(CoordView.getText().toString());
		if(Coord!=null){
		String Lat=LectorLat(Coord);
		String Lng=LectorLng(Coord);
		intent.putExtra("Lat", Lat);
		intent.putExtra("Lng", Lng);
		startActivity(intent);}
		else{
			showTextValidDialog();
		}

	}

	
	public String LectorText(String text){
		String a=" ";
		int index=1;
		while((a.equals("=")==false) && index<text.length()){
			a=Character.toString(text.charAt(index));
			index++;
		}
        if(a.equals("=")==false){
        return null;
        }
        else{
		return text.substring(index++);}
	}
	
	public String LectorLat(String text){
		String a=" ";
		int index=1;
		while((a.equals(",")==false) && index<text.length()){
			a=Character.toString(text.charAt(index));
			index++;
		}

		return text.substring(0, index-1);
		
	}
	
	public String LectorLng(String text){
		String a=" ";
		int index=1;
		while((a.equals(",")==false) && index<text.length()){
			a=Character.toString(text.charAt(index));
			index++;
		}
		return text.substring(index++);
		
	}
	
	public void showTextValidDialog(){
		AlertDialog.Builder dialogBuilder=new AlertDialog.Builder(this);
		dialogBuilder.setTitle("Advertncia");
		dialogBuilder.setMessage("Per buscar usuari has d'enganxar el text correcte");
		dialogBuilder.setPositiveButton("OK", new DialogInterface.OnClickListener() {
			
			@Override
			public void onClick(DialogInterface dialog, int which) {			
			}
		});

		AlertDialog alertDialog = dialogBuilder.create();
		alertDialog.show();
	}
	
}
